import { defineComponent, onMounted, PropType, ref, watch } from 'vue'
import { tools } from '@src/store/Modules/tools'
import { CCurrencyValue } from '../CCurrencyValue'


import { date, useQuasar } from 'quasar'
import { useI18n } from '@/boot/i18n'
import { IAccount, ISpecialField } from 'model'
import { CMyFieldDb } from '@/components/CMyFieldDb'
import { CMyFieldRec } from '@/components/CMyFieldRec'
import { colTableNotifCoins } from '@store/Modules/fieldsTable'

export default defineComponent({
  name: 'CSaldo',
  props: {
    symbol: {
      type: String,
      required: true,
    },
    saldo: {
      type: Number,
      required: true,
      default: 0,
    },
    account: {
      type: Object as PropType<IAccount>,
      required: false,
      default: null,
    },
    qtarem: {
      type: Number,
      required: false,
      default: 0,
    },
    color: {
      type: String,
      required: false,
      default: '',
    },
  },
  components: { CCurrencyValue, CMyFieldRec },
  setup(props, { emit }) {
    const $q = useQuasar()
    const { t } = useI18n()
    const color_border = ref('red')

    const showingtooltip = ref(false)

    function created() {
      // created
    }


    onMounted(created)

    return {
      showingtooltip,
      t,
      colTableNotifCoins,
      tools,
      color_border,
    }
  },
})
